import _baseAssignValue_default from "./_baseAssignValue.js";
import _assignValue_default from "./_assignValue.js";
function copyObject(n, r, i, a) {
	var o = !i;
	i ||= {};
	for (var s = -1, c = r.length; ++s < c;) {
		var l = r[s], u = a ? a(i[l], n[l], l, i, n) : void 0;
		u === void 0 && (u = n[l]), o ? _baseAssignValue_default(i, l, u) : _assignValue_default(i, l, u);
	}
	return i;
}
var _copyObject_default = copyObject;
export { _copyObject_default as default };
